%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             imagefield

Name:    drupal%{drupalver}-%{modname}
Version: 3.11
Release: 1%{?dist}
Summary: Image Field Module for Drupal 6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-filefield, drupal6-cck

%description
ImageField provides an image upload field for CCK.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc  %{name}-fedora-README.txt
%doc  LICENSE.txt
# Remember to exclude all documentation texts from above
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%{drupal_modules}/%{modname}

%changelog
* Thu Nov 28 2013 Peter Borsa <peter.borsa@gmail.com> - 3.11-1
- Update to upstream 3.11 release for security fixes
- Upstream changelog for this release is available at https://drupal.org/node/1970168

* Thu Jun 7 2012 Anderson Silva <ansilva@redhat.com> - 3.10-3
- Update dependencies
- Update LICENSE.txt with FSF mailing address

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 3.10-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 3.10-1
- Initial rpm package
